Subject: Re: [Mip6] Review of draft-ietf-mip6-location-privacy-ps-00.txt

From: Rajeev Koodli <[email-masked]>
Date: Tue, 08 Nov 2005 10:29:36 -0800

Hi Jari,

thanks for the review, and sorry for the delay in responding..

Jari Arkko wrote:

> The part about user identifier comes somewhat out of the
> blue here. Are we talking about user identifier and NAI
> usage in general? This goes much, much beyond Mobile IPv6.

The intention is to show that there is device roaming, which is what 
this document is primarily concerned with, which can reveal user roaming 
as well when a mapping of device identifier (IP Address) to user 
identifier is available (by whatever means, outside the scope of this 
document).

> Or are we talking about Mobile IPv6 use of NAIs? We'd have

No. See above.

> There seems to be two different problems, one is being
> able to see that someone (identified by a home address)
> is moving with a specific pattern. 

Yes. This is termed as the broader "profiling problem" in Section 1.

>The other problem is
> identifying that this someone is John Smith or that he is
> a customer of Joe's Broadband.
> 

In this document, the focus is on such a determination based on what 
HoA/CoA can reveal.

> It may be worthile to add some discussion about the
> different participants. Presumably we can't avoid revealing
> information to our home network (or can we?), but most
> definately want to avoid revealing information to outsiders,
> and probably also in many cases to correspondent nodes.
> There may also be different types of outsiders. Complete
> strangers (e.g. open 802.11) vs. local access network owners.
> 
> (Some discussion of this appears later in the document,
> but I'm not sure it provides a full discussion.)
> 

Okay.

>>   2.1. Disclosing the Care of Address
>>
> The fact that you do not need to reveal care-of address
> to correspondent nodes in Mobile IPv6 could perhaps be
> mentioned already here.
> 

I took the approach to define the problem and illustrate it in the 
subsequent section (Section 3).

See

"Now consider that the MN roams to a new IP network, acquires a Care
    of Address and would like to communicate with its correspondents.
    It can either communicate directly or reverse tunnel its packets
    through the Home Agent. "

> Hmm... in Mobile IPv6 the home address is always known
> to the correspondent. Can you clarify what you mean here?

It doesn't, unless it sees a binding cache entry.

Agree if there is a BCE, that is sufficient to reveal roaming. When HoA 
mapping to an arbitrary user identifier (e.g., SIP URI) is available, 
the correspondent knows which user has roamed as well. I will clarify this.

> 
>> When equipped with an ability to inspect
>>   packets ``on the wire'', an on-looker can determine that the MN has
>>   roamed and could possibly also determine that the user has roamed.
>>
> I'm not sure I understand teh MN-user distinction.
> 

There is MN roaming issue, and user roaming. We are concerned with 
HoA/CoA disclosure here. When the mapping of device identifier to user 
identifier is available, device roaming can also reveal user roaming.
Perhaps I should separately illustrate this in the Introduction..

Regards,

-Rajeev

> --Jari
> 
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6